<!--INICIO DO CARRINHO-->
<div class="box box-solid">
  <div class="box-header">
    <i class="fa fa-shopping-cart"></i>

    <h3 class="box-title">Carrinho</h3>
  </div>
  <!-- /.box-header -->
  <div class="box-body">

    <div *ngIf="!items().length">
      <p class="text-center">Seu carrinho está vazio!</p>
    </div>

    <div class="table-responsive" *ngIf="items().length">
        <table class="table">
          <tbody>
          <tr *ngFor="let cartItem of items()" [@row]="rowState">
            <th style="width:60%">({{cartItem.quantity}}x) {{cartItem.menuItem.name}}</th>
            <td class="text-right">{{cartItem.value() | currency: 'BRL': 'symbol'}}</td>
            <td class="text-right">
              <a (click)="removeItem(cartItem)" class="btn btn-sm danger">
                <i class="fa fa-remove"></i>
              </a>
            </td>
          </tr>
          
          <tr>
            <th>Frete:</th>

            <td class="text-right">R$ 8,00</td>
          </tr>
          <tr>
            <th>Total:</th>

            <td class="text-right">{{total() | currency: 'BRL' : 'symbol'}}</td>
          </tr>
        </tbody></table>
      </div>
  </div>
  <div class="box-footer" *ngIf="items().length">
    <div class="pull-right">
      <button (click)="clear()" type="button" class="btn btn-danger"><i class="fa fa-trash"></i> Limpar</button>
      <a [routerLink]="['/order']" class="btn btn-success"><i class="fa fa-credit-card"></i> Fechar Pedido</a>
    </div>
  </div>
</div>
<!-- FIM DO CARRINHO -->